#ifndef ZEEK_CONNECTOR_H
#define ZEEK_CONNECTOR_H

#ifdef __cplusplus
extern "C" {
#endif

struct zeek_connector_endpoint;
typedef struct zeek_connector_endpoint zeek_connector_endpoint;

void zeek_connector_fini(zeek_connector_endpoint *handle);
zeek_connector_endpoint* zeek_connector_init(const char *host, const int port);
void zeek_connector_publish(zeek_connector_endpoint *handle, const char *evname, const char *topic, const char *args);

#ifdef __cplusplus
} // extern "C"
#endif

#endif // ZEEK_CONNECTOR_H
